package m05bTarjetasEJB;


/**
 * This is the Primary Key for the Entity EJB <tt>m05Tarjetas</tt>.
 */

public class m05TarjetasPK implements java.io.Serializable{

   /**
   * This is the primary key.
   * It is the tarjetas numero, which is the primary key
   * in table <tt>m0531t00</tt>.
   */
  public String tar_numero;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05TarjetasPK) {
      m05TarjetasPK otherKey = (m05TarjetasPK) obj;
      return (this.tar_numero == otherKey.tar_numero);
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return (this.tar_numero.hashCode());
  }

}

